Package healpix.essentials

## Class MocFitsIO

- java.lang.Object
- - healpix.essentials.MocFitsIO

    public class MocFitsIO
    extends java.lang.Object

Moc FITS I/O routines.

### Constructor Summary

Constructors
`MocFitsIO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Moc` `mocFromFits​(java.io.InputStream inp)` Converts the contents of a FITS input stream to a MOC.
`static Moc` `mocFromFits​(java.lang.String filename)` Converts the contents of a FITS file to a MOC.
`static void` `mocToFits​(Moc moc, java.io.OutputStream out)` Writes the provided Moc to the stream in FITS format.
`static void` `mocToFits​(Moc moc, java.lang.String filename)` Writes the provided Moc to the specified file in FITS format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MocFitsIO

    public MocFitsIO()

### Method Detail

#### mocFromFits

    public static Moc mocFromFits​(java.io.InputStream inp)
                           throws java.lang.Exception

Converts the contents of a FITS input stream to a MOC.

Throws:
  `java.lang.Exception`

#### mocFromFits

    public static Moc mocFromFits​(java.lang.String filename)
                           throws java.lang.Exception

Converts the contents of a FITS file to a MOC.

Throws:
  `java.lang.Exception`

#### mocToFits

    public static void mocToFits​(Moc moc,
                                 java.io.OutputStream out)
                          throws java.lang.Exception

Writes the provided Moc to the stream in FITS format.

Throws:
  `java.lang.Exception`

#### mocToFits

    public static void mocToFits​(Moc moc,
                                 java.lang.String filename)
                          throws java.lang.Exception

Writes the provided Moc to the specified file in FITS format.

Throws:
  `java.lang.Exception`